Bug 5305 - Resorting results of CCL queries fails in Staff Client
Summary: Resorting results of CCL queries fails in Staff Client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 14:37 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.98 KB, application/octet-stream)
2011-03-30 16:26 UTC, Liz Rea
Details
Signed off patch (1.15 KB, application/octet-stream)
2011-03-30 16:34 UTC, Liz Rea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2010-10-14 14:37:19 UTC
If you do a CCL query in the Staff Client and then try to change the sorting of the results, you will be redirected back to the Advanced Search page because of a malformed query URL. For some reason the "q=" is getting URL escaped. This problem does not appear with non-CCL queries.
Comment 1 Liz Rea 2011-03-30 16:26:16 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2011-03-30 16:27:02 UTC
Comment on attachment 3534 [details]
Proposed patch

wrong bug!
Comment 3 Liz Rea 2011-03-30 16:34:54 UTC
Created attachment 3536 [details]
Signed off patch
Comment 4 Chris Cormack 2011-03-31 08:23:39 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2011-07-08 14:45:49 UTC
Seems to be working now. Closing.